package run;

import cn.tign.hz.bean.OrgEntity;
import cn.tign.hz.comm.DeclareDetails;
import cn.tign.hz.factory.Factory;
import cn.tign.hz.factory.base.OrgIdentityVerify;
import cn.tign.hz.factory.orgIdentity.OrgAuthUrl;
import cn.tign.hz.factory.response.orgIdentity.OrgUrlResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;



/**
 * 企业认证服务网页版
 * 获取组织机构核身认证地址
 * @version JDK1.8
 * @date 2024/5/11
 */
public class OrgWebVerifyDemo {
    static{
        DeclareDetails.showImportantMessage();//demo声明明细
//        正式环境域名：https://openapi.esign.cn
//        模拟环境（沙箱环境）域名：https://smlopenapi.esign.cn
        String host="https://smlopenapi.esign.cn"; //网关
        String project_id = "74XXXX";//应用id
        String project_scert = "0c525***7e88e4";//应用secret
        Factory.init(host,project_id,project_scert);//初始化，传入请求网关和应用id以及密钥,全局运行一次
        Factory.setDebug(true);//开启日志，测试阶段建议开启，方便记录数据，日志保存在根目录的log.txt文件中
    }
    public static void main(String[] args) {
        Logger logger = LoggerFactory.getLogger(OrgWebVerifyDemo.class);
        try{
            String name="企业名字";//组织机构名称
            String certNo="";//组织机构证件号
            String agentName = "";//当前认证办理人姓名
            String agentIdNo = "";//当前认证办理人证件号

            /**
             * 以上只是案例参数，其他参数请看对接文档按需传入
             * 文档地址：https://open.esign.cn/doc/opendoc/identity_service/gnlxp2
             */

            logger.info("-----------------获取组织机构核身地址 start-----------------");
            OrgAuthUrl orgAuthUrl = OrgIdentityVerify.orgAuthUrl();
            OrgEntity orgEntity = new OrgEntity();
            orgEntity.setName(name);
            orgEntity.setCertNo(certNo);
            orgEntity.setAgentName(agentName);
            orgEntity.setAgentIdNo(agentIdNo);
            orgAuthUrl.setOrgEntity(orgEntity);
            OrgUrlResponse orgUrlResponse =  orgAuthUrl.execute();
            String flowId = orgUrlResponse.getData().getFlowId();
            logger.info("认证流程flowId："+flowId);
            logger.info("-----------------获取组织机构核身地址 end-----------------");


        }catch (Exception e){
            e.printStackTrace();
        }
        System.out.println("运行结束");
    }

}
