package run;

import cn.tign.hz.bean.IndivInfo;
import cn.tign.hz.comm.DeclareDetails;
import cn.tign.hz.factory.Factory;
import cn.tign.hz.factory.base.PsnIdentityVerify;
import cn.tign.hz.factory.indivIdentity.IndivAuthUrl;
import cn.tign.hz.factory.response.indivIdentity.IndivAuthUrlResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 个人认证服务网页版
 * 获取个人核身认证地址
 * @version JDK1.8
 * @date 2024/5/11
 */

public class PsnWebVerifyDemo {
    static{
        DeclareDetails.showImportantMessage();//demo声明明细
//        正式环境域名：https://openapi.esign.cn
//        模拟环境（沙箱环境）域名：https://smlopenapi.esign.cn
        String host="https://smlopenapi.esign.cn"; //网关
        String project_id = "74XXXX";//应用id
        String project_scert = "0c525***7e88e4";//应用secret
        Factory.init(host,project_id,project_scert);//初始化，传入请求网关和应用id以及密钥,全局运行一次
        Factory.setDebug(true);//开启日志，测试阶段建议开启，方便记录数据，日志保存在根目录的log.txt文件中
    }
    public static void main(String[] args) {
        Logger logger = LoggerFactory.getLogger(PsnWebVerifyDemo.class);
        try{
            String name="姓名";//姓名
            String certNo="XXXXX";//个人证件号

            /**
             * 以上只是案例参数，其他参数请看对接文档按需传入
             * 文档地址：https://open.esign.cn/doc/opendoc/identity_service/sg2nty
             */

            logger.info("-----------------获取个人核身认证地址 start-----------------");
            IndivAuthUrl indivAuthUrl = PsnIdentityVerify.indivAuthUrl();
            IndivInfo indivInfo = new IndivInfo();
            indivInfo.setName(name);
            indivInfo.setCertNo(certNo);
            indivAuthUrl.setIndivInfo(indivInfo);
            IndivAuthUrlResponse indivAuthUrlResponse = indivAuthUrl.execute();
            String flowId = indivAuthUrlResponse.getData().getFlowId();
            logger.info("flowId："+flowId);
            logger.info("-----------------获取个人核身认证地址 end-----------------");

        }catch (Exception e){
            e.printStackTrace();
        }
        System.out.println("运行结束");
    }
}
